package com.handong.smartservice.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ResourceBoardMapper {
    Map<String, Object> selectDetailResourceBoard(String resource_board_id);

    List<Map<String, Object>> selectResourceBoard(Boolean isCount, Long offset, Long limit, 
                                                  String date_start, String date_end,
                                                  String title, String content);
    
    int insertResourceBoard(String title, String content, Long gid);

    int updateResourceBoard(Long resource_board_id, String title, String content);
    
    //int deleteResourceBoard(List<Long> ids);
    int changeStateResourceBoard(List<Long> ids, int state);
}
